Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060217 (TEIID-2656-DV) - Teiid OData Servlet throws java.lang.NullPointerException on every GET
Summary: Teiid OData Servlet throws java.lang.NullPointerException on every GET
Keywords:
Status: CLOSED ERRATA
Alias: TEIID-2656-DV
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: One-off release
Assignee: jolee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1042824
TreeView+ depends on / blocked
 
Reported: 2014-01-31 13:36 UTC by Van Halbert
Modified: 2014-07-09 13:31 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-09 13:31:55 UTC
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2656 Major Closed Teiid OData Servlet throws java.lang.NullPointerException on every GET 2014-09-04 13:36:17 UTC

Comment 1 JBoss JIRA Server 2014-02-06 15:35:03 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2656 to Reopened

Comment 2 JBoss JIRA Server 2014-02-12 13:28:59 UTC
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-2656 to Resolved

Comment 3 jolee 2014-02-14 20:26:39 UTC
Exists in git@github.com:jboss-integration/teiid.git 8.4.x

[jolee@jolee teiid]$ git log --grep=TEIID-2656
commit a7f25f4e9e8736aa39f97fe36dbd6a28c0f10a4b
Merge: 2290717 bb04b98
Author: Ramesh Reddy <rareddy@jboss.org>
Date:   Wed Sep 11 11:01:49 2013 -0700

    Merge pull request #111 from rareddy/TEIID-2656
    
    Teiid 2656

commit bb04b98f1913bc57787718e7d13516804a5b5eb6
Author: Ramesh Reddy <rareddy@jboss.org>
Date:   Wed Sep 11 12:51:46 2013 -0500

    TEIID-2656: adding unit tests

commit 33b4b50aea5eaa005002dee96a809a6841962ab5
Author: Ramesh Reddy <rareddy@jboss.org>
Date:   Wed Sep 11 10:52:56 2013 -0500

    TEIID-2656: The designer based VDBs does not set the reference table name on the ForeignKey, they only set the Primary Key, thus the OData metadata call was

Comment 4 Filip Elias 2014-03-24 13:28:15 UTC
Verified on DV 6.0 + rollup 1

Comment 5 JBoss JIRA Server 2014-04-21 11:25:19 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2656 to Closed

Comment 6 jolee 2014-07-09 13:31:55 UTC
released with: https://bugzilla.redhat.com/show_bug.cgi?id=1042824


Note You need to log in before you can comment on or make changes to this bug.